The seal is the evidence.
Verdict's product is cryptographic integrity. Our security posture is therefore existential, not competitive. This page documents architecture, certifications, sub-processors, and disclosure policy. If you are a CISO evaluating Verdict, this is the page your team will demand.
── Certifications & Conformance ──
── Cryptographic Architecture ──
- Hash functionSHA-256 (FIPS 180-4) — content-addressed events
- Record commitmentDomain-separated SHA-256 hash over one record (the merkle_root field; not a tree root). Batch inclusion proofs are planned for SER v0.2.
- SigningPublic surfaces sign with an ephemeral ECDSA P-256 key per request (see note below). A hardware-backed Ed25519 (RFC 8032) production signing tier is planned; no production tenant exists yet.
- Transparency logSigstore Rekor — record commitments anchored publicly
- Record linkingOptional. A record can carry the previous record's commitment inside its own hash, which shows it was made after that record. Altering a record breaks only the link to it: later records still verify on their own, and a missing record is not detected. No production tenant exists yet.
- RedactionNot built. Removing a field from a sealed record breaks its commitment. Keep personal data out of the record by sealing hashes (prompt_hash, output_hash) and short summaries; the public log holds only a hash of the commitment.
- Key rotationNo long-lived signing key yet: each request signs with a fresh ephemeral key. Scheduled rotation is planned with the production signing tier.
- Time anchoringRekor integrated time, set by the public log when it accepts each entry. RFC 3161 timestamps from a qualified service on an EU trusted list are built and verify in the browser; they are not yet switched on for the public sandbox.
Tiered signing. The public live demo at /live-seal and the public MCP sandbox at /api/mcp sign with an ephemeral ECDSA P-256 / SHA-256 keypair generated per request, for live Sigstore Rekor anchoring. A hardware-backed Ed25519 production signing tier is planned; no production tenant exists yet, so every record today is signed this way. The Sealed Evidence Record format and Rekor anchoring are designed to stay the same on that tier; only the signing key would change.
── Sub-Processors ──
| Sub-processor | Purpose | Region |
|---|---|---|
| Vercel | Edge hosting + CDN | Global |
| Supabase | Postgres + storage | us-east-1, eu-west-1 |
| Sigstore Public Good | Rekor transparency log anchoring | Global |
| Resend | Transactional + audience email | us-east-1 |
── Vulnerability Disclosure ──
We treat security disclosures with extreme seriousness. Our product is cryptographic integrity; if that integrity can be broken, we want to know first.
- EMAILsecurity@verdict.systems
- PGP/security.txt (RFC 9116 conforming)
- SLATriage within 24 hours; remediation timeline communicated within 7 days
- HALL OF FAMEPublic acknowledgment for valid reports (with researcher consent)
We follow Coordinated Vulnerability Disclosure. Please give us 90 days from triage before public disclosure unless the vulnerability is being actively exploited in the wild.

